#bwchestfromorchome
from eventAPI import *
from APIUtils import *

bwchestfromorchome = 0

def fireEvent(e):
   global bwchestfromorchome
   bwchestfromorchome = getTag(e, "bwchestfromorchome")
   if (bwchestfromorchome == 1):
      return 1
   else:
      showMessage(e, ["Upon further inspection of the orc's home you find a chest."])
   showMessage(e, ["The chest is unlocked. You open the chest and find its full of gems!"])
   giveItems(e, ["Ruby", "Ruby", "Ruby", "Ruby", "Ruby", "Ruby", "Ruby", "Ruby", "Ruby"])
   bwchestfromorchome = 1
   setTag(e, "bwchestfromorchome", bwchestfromorchome)
   return 1
